<!-- Edit Panel heading -->
<div class="hd-modal-header">
  Edit Skill Tags
</div>

<!-- What to do description -->
<div class="row">
  <div class="col-xs-12 text-center">
    <p>Add skill tags to your profile. These help companies know where your strengths are.</p>
  </div>
</div>

<div class="row">
  <div class="col-xs-12 text-center">
    <!-- List of current skill tags -->
    <div class="current-skills" *ngIf="_skills.length > 0" id='currentSkills'>
      <h3 id='currentSkilTags'>Current Skill Tags</h3>
      <skill-tag *ngFor="let skill of _skills" [skill]="skill" [isDeletable]="true" (onDelete)="_deleteSkill(skill.name)"></skill-tag>
    </div>

    <div class="add-skills">
      <input #newSkill type="text" placeholder="Add a new skill" />
      <div class="suggested-skills-list suggestions-wrap" *ngIf='_skillSuggestion.suggestions'>
        <div class="suggestions-list">
          <div class="suggestion" *ngFor='let suggestion of _skillSuggestion.suggestions' (click)="_skillSuggestion.acceptSuggestion(suggestion)">
            {{ suggestion.name }}
          </div>
        </div>

      </div>
    </div>



    <!-- Save / Cancel buttons -->
    <div class="modal-buttons">
      <button class="btn btn-primary" (click)="_save()">Save</button>
      <a class="btn btn-default" (click)="_onCancel()">Cancel</a>
    </div>
    <!-- Unexpected error message -->
    <div class="text-center" *ngIf="_unexpectedError">
      An unknown error occurred while trying to save your changes!
    </div>
  </div>
</div>
